Loading...
Searching...
No Matches
MaxFractionalMatching< GR, TR >::SetMatchingMap< T > Struct Template Reference

## Detailed Description

template<typename GR, typename TR>
template<typename T>
struct lemon::MaxFractionalMatching< GR, TR >::SetMatchingMap< T >

Named parameter for setting MatchingMap type.

`#include <lemon/fractional_matching.h>`

Inheritance diagram for MaxFractionalMatching< GR, TR >::SetMatchingMap< T >:
[legend]

## Additional Inherited Members

Public Types inherited from MaxFractionalMatching< Graph, SetMatchingMapTraits< T > >
typedef SetMatchingMapTraits< T > | Traits
| The traits class of the algorithm.
typedef SetMatchingMapTraits< T >::Graph | Graph
| The type of the graph the algorithm runs on.
typedef SetMatchingMapTraits< T >::MatchingMap | MatchingMap
| The type of the matching map.
typedef SetMatchingMapTraits< T >::Elevator | Elevator
| The type of the elevator.
Public Member Functions inherited from MaxFractionalMatching< Graph, SetMatchingMapTraits< T > >
| MaxFractionalMatching (const Graph &graph, bool allow_loops=true)
| Constructor.
MaxFractionalMatching & | matchingMap (MatchingMap &map)
| Sets the matching map.
MaxFractionalMatching & | elevator (Elevator &elevator)
| Sets the elevator used by algorithm.
const Elevator & | elevator () const
| Returns a const reference to the elevator.
void | init ()
| Initializes the internal data structures.
void | start (bool postprocess=true)
| Starts the algorithm and computes a fractional matching.
bool | startPerfect (bool postprocess=true)
| Starts the algorithm and computes a perfect fractional matching.
void | run (bool postprocess=true)
| Runs the algorithm.
bool | runPerfect (bool postprocess=true)
| Runs the algorithm to find a perfect fractional matching.
int | matchingSize () const
| Return the number of covered nodes in the matching.
const MatchingMap & | matchingMap () const
| Returns a const reference to the matching map.
int | matching (const Edge &edge) const
| Return `true` if the given edge is in the matching.
Arc | matching (const Node &node) const
| Return the fractional matching arc (or edge) incident to the given node.
bool | barrier (const Node &node) const
| Returns true if the node is in the barrier.
Static Public Attributes inherited from MaxFractionalMatching< Graph, SetMatchingMapTraits< T > >
static const int | primalScale
| Scaling factor for primal solution.